- release_tracks: [ALPHA, BETA, GA]
  help_text:
    brief: Update the database configuration of a Cloud Firestore database.
    description: |
      Update the database configuration of a Cloud Firestore database.
    examples: |
      The following command updates the database type of a Cloud Firestore database.

        $ {command} --type=firestore-native

  async:
    collection: firestore.projects.databases.operations
    api_version: v1
    extract_resource_result: false

  request:
    collection: firestore.projects.databases
    resource_method_params:
      googleFirestoreAdminV1Database.name: '{__relative_name__}'

  arguments:
    resource:
      help_text: Cloud Firestore database to update.
      is_positional: false
      # The resource arg specification itself. Imported from firestore/resources.yaml
      spec: !REF googlecloudsdk.command_lib.firestore.resources:database
    params:
    - _REF_: googlecloudsdk.command_lib.firestore.flags:type
    - _REF_: googlecloudsdk.command_lib.firestore.flags:enable_delete_protection
    - _REF_: googlecloudsdk.command_lib.firestore.flags:enable_pitr
